# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Catalyst/Test.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/Command.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(FileHandle.pm) perl(FindBin.pm) perl(HTTP/Request/Common.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(Moose/Util.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Path/Class.pm) perl(Pod/Text.pm) perl(Socket.pm) perl(Test/Most.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(inc/Module/Install.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name Catalyst-Plugin-SpecialAction-Trail
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Support for the 'trail' special action
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/ME/MENDEL/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module introduces a new special action `trail' that unites the features
of `end' and `auto' special actions (see the section on "Built-in special actions" in the Catalyst::Manual::Intro manpage):

=over

=item *

Like `end', the `trail' actions will be run at the end of the request, after
all URL-matching actions are called; but they are called before any `end' is
run.

=item *

Like `auto', multiple `trail' actions will be run in turn, starting with the
application class and going through to the most specific controller class, and
the processing chain stops if any of them returns false (any remaining `trail'
actions are skipped and the control goes to `end' if there's any).

=back


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/C*

%changelog
* Thu Sep 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

